Nova RouterNova Router
Quick StartAPI ReferenceAgent Tool Integrations
AI Model APIVideos

Create Video Generation Task

Submit a video generation task, supporting text-to-video and image-to-video.

Returns the task ID. The task status can be queried via the GET API.

POST
/v1/video/generations

Authorization

BearerAuth

AuthorizationBearer <token>

Use Bearer token authentication. Format: Authorization: Bearer sk-xxxxxx

In: header

Request Body

application/json

model?string

Model / Style ID

prompt?string

Text prompt

image?string

Image input (URL or Base64)

duration?number

Video duration (seconds)

width?integer

Video width

height?integer

Video height

fps?integer

Video frame rate

seed?integer

Random seed

n?integer

Number of videos to generate

response_format?string

Response format

user?string

User Identifier

metadata?

Extended parameters (such as negative_prompt, style, quality_level, etc.)

Response Body

application/json

application/json

curl -X POST "https://router.bit-tech.com.cn/v1/video/generations" \  -H "Content-Type: application/json" \  -d '{}'
{
  "task_id": "abcd1234efgh",
  "status": "queued"
}
{
  "error": {
    "message": "string",
    "type": "string",
    "param": "string",
    "code": "string"
  }
}

How is this guide?